Skip to content
Back to top
View this page

# Exceptions

`agate.DataTypeError` | A calculation was attempted with an invalid `DataType`.
`agate.UnsupportedAggregationError` | An `Aggregation` was attempted which is not supported.
`agate.CastError` | A column value can not be cast to the correct type.
`agate.FieldSizeLimitError` | A field in a CSV file exceeds the maximum length.

exception agate.DataTypeError

  Bases: `TypeError`

  A calculation was attempted with an invalid `DataType`.

exception agate.UnsupportedAggregationError

  Bases: `TypeError`

  An `Aggregation` was attempted which is not supported.

  For example, if a `Percentiles` is applied to a `TableSet`.

exception agate.CastError

  Bases: `Exception`

  A column value can not be cast to the correct type.

exception agate.FieldSizeLimitError(limit, line_number)

  Bases: `Exception`

  A field in a CSV file exceeds the maximum length.

  This length may be the default or one set by the user.